/**
 * @date 2019.12.16
 * @author panyanan
 * @information 框架模板配置文件
 */
export interface Repo {
    readonly url: string, // 仓库地址
    readonly username: string, // 用户名
    readonly password: string, // 用户密码
}
export interface Template {
    readonly name: string, // 模板名称
    readonly desc: string, // 模板描述
    readonly repo: Repo, // 模板仓库信息
}
export const Templates: Template[] =  [
    { name: 'vue2.0', desc: '千家vue2.0项目模板,对接了组件库/标准库/用户操作埋点', repo: { url: 'git@git.allhome.com.cn:panyanan/my-vue-template.git', username: '', password: ''} },
    // todo other template
];
/**
 * @date 2019.12.16
 * @author panyanan
 * @information 是否是正确的模板名称
 * @param targetName 
 */
export function hasTemplate(targetName: string): boolean {
    return Templates.some(({ name }) => name.toLowerCase() === targetName.toLocaleLowerCase());
}
